{
  "$schema": "http://json-schema.org/draft-07/schema#",
  "properties": {
    "apiVersion": {
      "type": "string"
    },
    "kind": {
      "type": "string"
    },
    "metadata": {
      "type": "object"
    },
    "spec": {
      "properties": {
        "group": {
          "nullable": true,
          "type": "string"
        },
        "iconSrc": {
          "nullable": true,
          "type": "string"
        },
        "label": {
          "nullable": true,
          "type": "string"
        },
        "sideLabel": {
          "nullable": true,
          "type": "string"
        },
        "target": {
          "nullable": true,
          "type": "string"
        },
        "toService": {
          "nullable": true,
          "properties": {
            "name": {
              "nullable": true,
              "type": "string"
            },
            "namespace": {
              "nullable": true,
              "type": "string"
            },
            "path": {
              "nullable": true,
              "type": "string"
            },
            "port": {
              "nullable": true,
              "x-kubernetes-int-or-string": true
            },
            "scheme": {
              "default": "http",
              "nullable": true,
              "type": "string"
            }
          },
          "required": [
            "name",
            "namespace"
          ],
          "type": "object"
        },
        "toURL": {
          "nullable": true,
          "type": "string"
        }
      },
      "type": "object"
    }
  },
  "type": "object"
}
